package com.rf.woodenFish.record.model;

import com.rf.woodenFish.base.model.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:用户敲击记录
 * @Author: mimang
 * @Date: 2025/6/6
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_user_knock_record")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_user_knock_record", comment = "用户敲击记录表")
public class UserKnockRecordEntity extends BaseEntity {

    @Column(name = "open_id", columnDefinition = "varchar(36) not null comment 'openId'")
    private String openId;

    @ApiModelProperty(value = "敲击日期",hidden = true)
    @Column(name = "create_date", columnDefinition = "varchar(36) not null comment '敲击日期'")
    private String createDate;

    @Column(name = "knock_num", columnDefinition = "int  comment '单次敲击数'")
    private int knockNum;
}
