package com.rf.woodenFish.record.service.impl;

import cn.hutool.core.date.DateUtil;
import com.rf.woodenFish.record.model.UserKnockRecordEntity;
import com.rf.woodenFish.record.repostiory.UserKnockRecordRepository;
import com.rf.woodenFish.record.service.UserKnockRecordService;
import com.rf.woodenFish.utils.PageRequestUtil;
import com.rf.woodenFish.utils.WebContextUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description:用户敲击记录管理
 * @Author: mimang
 * @Date: 2025/6/6
 */
@Service
public class UserKnockRecordServiceImpl implements UserKnockRecordService {

    @Autowired
    private UserKnockRecordRepository repository;

    @Override
    public UserKnockRecordEntity add(UserKnockRecordEntity entity) {
        entity.setCreateTime(DateUtil.now());
        entity.setCreateDate(DateUtil.today());
        return repository.save(entity);
    }

    @Override
    public UserKnockRecordEntity findCurrentRecord(String openId) {
        return repository.findTopByOpenIdAndCreateDateOrderByCreateTimeDesc(openId,DateUtil.today());
    }

    @Override
    public Integer countByCreateDate(String openId) {
        return repository.countByOpenIdAndCreateDate(openId,DateUtil.today());
    }

    @Override
    public Integer countByOpenId(String openId) {
        return repository.countByOpenId(openId);
    }

    @Override
    public List<Map<String, Integer>> orderByCurrentDateNum() {
        return repository.orderByCurrentDateNum(DateUtil.today());
    }

    @Override
    public List<Map<String, Integer>> orderByTotalNum() {
        return repository.orderByTotalNum();
    }

    @Override
    public Page<List<Map<String,String>>> findPageByCurrentUser(int pageNum, int pageSize) {
        String openId = WebContextUtil.getOpenId();
        Page<List<Map<String,String>>> page = repository.findAllByOpenId(openId, PageRequestUtil.of(pageNum,pageSize));
        return page;
    }
}
