package com.rf.woodenFish.user.dao.model;

import com.rf.woodenFish.base.model.BaseEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zsy
 * @description:用户信息表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_user_info")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_user_info", comment = "用户信息表")
public class UserEntity extends BaseEntity {

    @Column(name = "user_name", columnDefinition = "varchar(50) comment '昵称'")
    private String userName;

    @Column(name = "open_id", columnDefinition = "varchar(36) not null comment 'openId'")
    private String openId;

    @Column(name = "phone", columnDefinition = "varchar(36) comment '手机号'")
    private String phone;

    @Column(name = "gender", columnDefinition = "varchar(2) comment '性别(0-男；1-女)'")
    private String gender;

    @Column(name = "intro", columnDefinition = "varchar(100) comment '用户简介'")
    private String intro;

    @Column(name = "avatar", columnDefinition = "varchar(255) comment '头像URL'")
    private String avatar;

}
